#include "guess.h"
int find_number(int MAX) {
    int l = 1, r = MAX + 1;
    while (r - l > 1) {
        int m = (l + r) >> 1;

        if (smaller(m)) {
            l = m;
        }
    }
    return r - 1;
}

